## net.i2p.crypto
Interface EntropyHarvester

All Known Implementing Classes:
  BufferedRandomSource, FortunaRandomSource, PooledRandomSource, RandomSource

    public interface EntropyHarvester

Allow various components with some entropy to feed that entropy back into some PRNG. The quality of the entropy provided varies, so anything harvesting should discriminate based on the offered "source" of the entropy, silently discarding insufficient entropy sources.

Method Summary
`void` `feedEntropy(String source, byte[] data, int offset, int len)` Feed the entropy pools with data[offset:offset+len]
`void` `feedEntropy(String source, long data, int bitoffset, int bits)` Feed the entropy pools with the bits in the data

Method Detail

### feedEntropy

    void feedEntropy(String source,
                     byte[] data,
                     int offset,
                     int len)

  Feed the entropy pools with data[offset:offset+len]

  Parameters:
    `source` - origin of the entropy, allowing the harvester to determine how much to value the data
    `offset` - index into the data array to start
    `len` - how many bytes to use

### feedEntropy

    void feedEntropy(String source,
                     long data,
                     int bitoffset,
                     int bits)

  Feed the entropy pools with the bits in the data

  Parameters:
    `source` - origin of the entropy, allowing the harvester to determine how much to value the data
    `bitoffset` - bit index into the data array to start (using java standard big-endian)
    `bits` - how many bits to use